换了一台新电脑,重新拉取项目,因为是自己一直在做的项目,直接npm i,报错npm 既不是内部命令也不是外部命令,明显是没有安装nodejs。

第一步:官网下载nodejs 下载 | Node.js 中文网,,下载之后一直下一步安装完成即可

第二布:npm i

安装依赖发现一直报报错,类似node-sass,python,node-gyp之类的报错,搞了很久各种方式都尝试过了都不得行,发现换个nodejs版本,16版本太高,换成14就可以了。坑了我一天!!!!!!!!!